
	/*********************************************************/
	/* ASTRIDA  MISTER (c) 1989            ASTRIDA.HPP v1.01 */
	/*********************************************************/
	/*********************************************************
	            Declaration of Alternatives
	            Declaration of Attributes
	*********************************************************/
	/*********************************************************
		char read_rus_lat(char * hopt)
		int read_alternatives_from_file()
		int read_attributes_from_file()
		char read_help(char * hopt)
		int rus_lat_menu(int lng)
	**********************************************************/
	// 17_11_89  05_06_90

	#include <stdlib.h>            // int system(char *string)
	#include <stdio.h>
	#include <dos.h>	       // DOS Package	
	#include <stream.hpp>          // cin >>, cout <<
//	#include <stat.h>
	#include "windows.h"
	#include "menu.h"
//	#include "rtc.h"
	#include <string.h>
			 // char *strncpy (char *s1,const char s2,size_t n)
//	#include <disp.h>               /* Display Package */
//	#include <conio.h>
	
	//#include "astrida.hpp"        /* This file */
	//#include "astrida.cpp"        /* case 0x101 Cdreative Menu  */
	//#include "astrida1.cpp"       /* case 0x201,0x202 Show Menu */
	//#include "astrida2.cpp"       /* case 0x301 Choice of potent.best */
	//#include "astrida3.cpp"       /* case 0x302 Rank of disadvantages */
	//#include "astrida4.cpp"       /* case 0x303 Change of values */
	//#include "astrida5.cpp"       /* case 0x302 Compare of ref.alt's  */
	//#include "zlex.c"             /* Go to the external Editor   */
	
	#define MAXALT 10                 // was 10
	#define MAXREF 5		 // was 5
	#define MAXATTR 10    //15       //8                // was 10
	#define MAXSCALE 5 //10      //4
	#define MAXSCRIT 16
	#define MAXLINE 81
//	#define MAXMNU 9	/* don't used, MAXMENU=20 menu.h LSE_1 */
	#define MAXWIN 15       /* don't used, MAXWINDS=50 windows.h   */
	#define MAXPAGE 4	/* No of pges for Help windows         */
	#define MAXHELP 405     /* No of simbols in one page           */
	#define BACKMAX 100     /* for BackStep history                */
	FILE *fp, *fp1, *fp2;
	
	//st_alt  st_altern[MAXALT];
	//st_attr st_attrib[MAXATTR];
	//int read_alternatives_from_file();
	//int read_attributes_from_file();
	

	/*...........................................................
			Windows Assignment

	wnd[0]  _ (A) _ 2,2,24,75   + 2,10,20,70 + 1,1,20,79 +
			attrib_st_print_screen + read_help + lng=rus_lat_menu
		_ (A2)_ st_rows3+1,1,20,st_cols3 +
			"There are n alternatives"
		_ (A3)_ 1,15,18,47  +
			st_print_screen +
		_ (A4)_ 1,15,18,47  +
			st_print_screen +
		_ (A5)_ 19,3,21,78  +
			"I prefer this object"

	wnd[1]  _ (A) _ 2,2,24,75   + 21,1,24,39 +
		_ (A2)_ 1,36,20,79  +
		_ (A3)_ 1,47,18,79  +
		_ (A4)_ 1,47,18,79

	wnd[2]  _ (A) _               21,41,24,79+
		_ (A3)_ 1,1,18,14   +

	wnd[3]  _ (A2)_ 1,1,st_rows3,st_cols3    +
		_ (A3)_ 17,1,20,40  +
		_ (A4)_ 1,1,20,14   + 17,1,20,79 +
		_ (A5)_ 1,3,18.40
						
	wnd[4]  _ (A2)_ 21,1,24,79  +
		_ (A3)_ 17,41,20,79 +
		_ (A5)_ 1,41,18,78  +

	wnd[5]  _ (A4)_ 21,1,24,79  +
		_ (A5)_ 1,3,6,78    + 18,3,24,78 +

	wnd[6]  _ (A2)_ 1,1,12,60   +
		_ (A4)_ 1,1,12,58   +
		_ (A5)_ 1,1,12,60   +

	wnd[7]  _
	wnd[8]  _
	wnd[9]  _

	wnd[10] _ (A3)_ 1,15,18,47  + 1,47,18,79 +

	wnd[11] _

	wnd[12] _ (A5)_ 1,1,18,14   +

	wnd[13] _ (A5)_ 1,15,18,47  +

	wnd[14] _ (A5)_ 1,47,18,79  +

	wnd[15] _
	wnd[16] _
	wnd[17] _
	wnd[18] _

	wnd[19] _ (A2)_2,10,12,66 +
	............................................................*/

	/*****************************************************************
	            Declaration of Alternatives
	******************************************************************/

	class st_alt                   /* Class doesn't need constructor */
	{
	char st_ref[MAXREF][MAXLINE];  /* Short preface of alternative */
	char st_name[MAXLINE];         /* Names of alternatives        */
	char st_value[MAXLINE];        /* Vector of assessments        */
	friend class st_attr;
	
	public:
	void st_read_from_file();        /* Read st_alt into memory    */
	void st_write_to_file();         /* Write st_alt to file       */
	void st_print_screen();          /* Full descript on the screen*/
	int st_alt_assm(int);            /* Display assessments figure */
	void st_alt_assm_list(int,int);  /* Display assessments string */
	void st_name_to_wnd(int);        /* Put name to the window[int]*/
	void st_name_to_screen(int,int,int);     /* Name only to windw,scrn */
	//void st_form_idealt (int,int); /* A5.cpp  Make ideal alternative  */
	//void st_form_ref_obj(int,int,int,int); /* A5 Form reference obj   */
	char st_read_crit (int i)         { return st_value[i*2];   }
	char st_write_crit (int i,char j) { return st_value[i*2]=j; }
	
	};

	/*****************************************************************
	               Declaration of Attributes
	******************************************************************/
	class st_attr
	{
	char st_aref   [MAXREF][MAXLINE];
	char st_aname  [MAXLINE];               /* Name of attribute    */
	char st_ascale [MAXSCALE][MAXLINE];
	friend class st_alt;
	
	public:
	void st_read_from_file();        /* Read st_alt into memory    */
	void st_print_ascreen(int);     /* Display attributes on the screen  */
	void st_alt_assm_screen(int);   /* Display assessments of alternative*/
	void st_aname_to_screen();
	void st_name_to_screen (int,int,int);                /* see ASTRIDA2 */
	//friend void st_alt::st_alt_assm_list(int);/*Displ assessmnts string*/
	};
	/**************** ASTRIDA.HPP (END) *************************/
